# Create a correspondent bank transfer

Creates an outgoing wire transfer on behalf of an originator (correspondent banking).

This endpoint is designed for correspondent banking use cases where a financial institution
initiates a wire transfer on behalf of another party (the originator).

The Outgoing Wire Transfer Profile (configured in the Multi Portal) specified determines the behaviour
and restrictions of the transaction (for example, fees).

Endpoint: POST /correspondent_bank_transfers
Version: v3
Security: auth_token, api-key

## Header parameters:

  - `idempotency-ref` (string)
    A unique call reference generated by the caller that, taking into consideration the payload as well as the operation itself, helps avoid duplicate operations. Idempotency reference uniqueness is maintained for at least 24 hours.

## Request fields (application/json):

  - `profileId` (string, required)
    The profile Id which a specific identity, instrument or transaction type is linked to.

Profiles contain configuration and determine behavioral aspects of the newly created transaction, for example, fees that may apply.

You can have one or more profiles linked to your application, and these can be used to drive different behaviors according to your product's needs.

Profile Ids can be found in the Multi Portal, in the API Credentials page.

  - `tag` (string)
    The tag field is a custom field that can be used to search and filter.

  - `sourceInstrument` (object, required)
    The managed account from which funds will be collected.

  - `sourceInstrument.type` (string, required)
    Enum: "managed_accounts"

  - `sourceInstrument.id` (string, required)

  - `amount` (object, required)
    The object representing a monetary amount in a particular currency.

  - `amount.currency` (string, required)
    The currency expressed in ISO-4217 code. Example: GBP, EUR, USD.

  - `amount.amount` (integer, required)
    The monetary amount, scaled to the lowest denomination of the currency.

Example, an amount of 1000 for a EUR currency is actually 1000 Euro cents or EUR 10.00.

  - `originator` (any, required)

  - `originator.name` (string, required)
    Full name of the individual as documented on official ID.

  - `originator.address` (string, required)
    Full residential address of the individual.

  - `originator.country` (string, required)
    ISO 3166-1 alpha-2 country code.

  - `originator.bankAccountDetails` (object, required)
    Bank account details for the originator.

  - `originator.bankAccountDetails.account` (string, required)
    Can be either an account number or an International Bank Account Number (IBAN).

  - `originator.bankAccountDetails.financialInstitution` (string, required)
    Bank Identifier Code (BIC) of the originator's financial institution.

  - `originator.supplementaryInformation` (any)

  - `originator.supplementaryInformation.documentType` (string, required)
    Type of personal identification document.
    Enum: "NATIONAL_ID", "PASSPORT", "TAX_ID", "OTHER"

  - `originator.supplementaryInformation.documentNumber` (string, required)
    Personal identification document number.

  - `originator.supplementaryInformation.dateOfBirth` (string, required)
    Date of birth in YYYY-MM-DD format.

  - `originator.supplementaryInformation.placeOfBirth` (string, required)
    Place of birth - city and country.

  - `originator.name` (string, required)
    Full legal name of the business entity.

  - `originator.registrationAddress` (string, required)
    Registered address of the business entity.

  - `originator.registrationCountry` (string, required)
    ISO 3166-1 alpha-2 country code of registration.

  - `originator.supplementaryInformation` (object)
    Business identification for a business originator.

  - `originator.supplementaryInformation.documentType` (string, required)
    Type of business identification document.
    Enum: "LEI", "REGISTRATION_NUMBER", "TAX_ID", "OTHER"

  - `originator.supplementaryInformation.documentNumber` (string, required)
    Business identification document number (e.g. LEI code, company registration number).

  - `beneficiary` (any, required)

  - `beneficiary.name` (string, required)
    The beneficiary's full name. >= 1 character and <= 35 characters.
An extended character set is accepted to cater for all European languages.
If SEPA does not support a particular character, it is automatically
converted to an acceptable alternative, in line with SEPA scheme guidance.

  - `beneficiary.iban` (string, required)
    International Bank Account Number, required for wire transfer over SEPA.

  - `beneficiary.bankIdentifierCode` (string)
    BIC (Bank Identifier Code) for wire transfer over SEPA.

  - `beneficiary.address` (string, required)
    The beneficiary's address. Required for correspondent banking transfers.
Maximum 105 characters (split into 3x35-char lines by the provider).

  - `beneficiary.bankName` (string)
    The beneficiary's bank name.

  - `beneficiary.bankAddress` (string)
    The beneficiary's bank address.

  - `beneficiary.bankCountry` (string)
    The beneficiary's bank country in ISO 3166 alpha-2 format.

  - `beneficiary.nationality` (string)
    Nationality of the user - using ISO 3166 alpha-2.

  - `beneficiary.dateOfBirth` (string)
    The date of birth in ISO 8601 format (YYYY-MM-DD).

  - `beneficiary.name` (string, required)
    The beneficiary's full name. >= 1 character and <= 35 characters.
An extended character set is accepted to cater for all European languages.
If RIX does not support a particular character, it is automatically
converted to an acceptable alternative.

  - `beneficiary.iban` (string, required)
    International Bank Account Number, required for wire transfer over RIX.

  - `beneficiary.bankIdentifierCode` (string)
    BIC (Bank Identifier Code) for wire transfer over RIX.

  - `beneficiary.name` (string, required)
    The beneficiary's full name. >= 1 character and <= 35 characters.
Note: the ' symbol is the unicode value U+2019 (right single quotation mark)
and not the unicode value U+0027 (apostrophe).

  - `beneficiary.type` (string, required)
    The type of beneficiary account. Required for Faster Payments.
    Enum: "PERSONAL", "BUSINESS"

  - `beneficiary.accountNumber` (string, required)
    Account number, required for wire transfer over Faster Payments.

  - `beneficiary.sortCode` (string, required)
    Sort code, required for wire transfer over Faster Payments.

  - `beneficiary.secondaryReference` (string)
    Optional secondary reference for accounts without unique sort codes.

  - `purpose` (string, required)
    The purpose of the payment.

  - `description` (string)
    These details are passed to the beneficiary as the `reference`. This field is mandatory for wire transfers executed over `SEPA`. The allowed length is dependent on the payment type:
`SEPA` <= `35` characters. An extended character set is accepted to cater for all European languages. If `SEPA` does not support a particular character, it is automatically converted to an acceptable alternative, in line with `SEPA` scheme guidance.
`Faster Payments` <= `18` characters

  - `externalData` (array)
    Additional external data as key-value pairs.

  - `externalData.name` (string, required)
    Name/key of the external data.

  - `externalData.value` (string, required)
    Value of the external data.

  - `scheduledTimestamp` (string)
    The epoch timestamp at which the transaction is scheduled to be executed.

## Response 200 fields (application/json):

  - `id` (string, required)
    The unique identifier of the Correspondent Banking OWT.

  - `profileId` (string, required)
    The profile Id which a specific identity, instrument or transaction type is linked to.

Profiles contain configuration and determine behavioral aspects of the newly created transaction, for example, fees that may apply.

You can have one or more profiles linked to your application, and these can be used to drive different behaviors according to your product's needs.

Profile Ids can be found in the Multi Portal, in the API Credentials page.

  - `tag` (string)
    The tag field is a custom field that can be used to search and filter.

  - `sourceInstrument` (object, required)
    The source managed account from where the funds were taken.

  - `sourceInstrument.type` (string, required)
    Enum: "managed_accounts"

  - `sourceInstrument.id` (string, required)

  - `amount` (object, required)
    The object representing a monetary amount in a particular currency.

  - `amount.currency` (string, required)
    The currency expressed in ISO-4217 code. Example: GBP, EUR, USD.

  - `amount.amount` (integer, required)
    The monetary amount, scaled to the lowest denomination of the currency.

Example, an amount of 1000 for a EUR currency is actually 1000 Euro cents or EUR 10.00.

  - `originator` (any, required)

  - `originator.name` (string, required)
    Full name of the individual as documented on official ID.

  - `originator.address` (string, required)
    Full residential address of the individual.

  - `originator.country` (string, required)
    ISO 3166-1 alpha-2 country code.

  - `originator.bankAccountDetails` (object, required)
    Bank account details for the originator.

  - `originator.bankAccountDetails.account` (string, required)
    Can be either an account number or an International Bank Account Number (IBAN).

  - `originator.bankAccountDetails.financialInstitution` (string, required)
    Bank Identifier Code (BIC) of the originator's financial institution.

  - `originator.supplementaryInformation` (any)

  - `originator.supplementaryInformation.documentType` (string, required)
    Type of personal identification document.
    Enum: "NATIONAL_ID", "PASSPORT", "TAX_ID", "OTHER"

  - `originator.supplementaryInformation.documentNumber` (string, required)
    Personal identification document number.

  - `originator.supplementaryInformation.dateOfBirth` (string, required)
    Date of birth in YYYY-MM-DD format.

  - `originator.supplementaryInformation.placeOfBirth` (string, required)
    Place of birth - city and country.

  - `originator.name` (string, required)
    Full legal name of the business entity.

  - `originator.registrationAddress` (string, required)
    Registered address of the business entity.

  - `originator.registrationCountry` (string, required)
    ISO 3166-1 alpha-2 country code of registration.

  - `originator.supplementaryInformation` (object)
    Business identification for a business originator.

  - `originator.supplementaryInformation.documentType` (string, required)
    Type of business identification document.
    Enum: "LEI", "REGISTRATION_NUMBER", "TAX_ID", "OTHER"

  - `originator.supplementaryInformation.documentNumber` (string, required)
    Business identification document number (e.g. LEI code, company registration number).

  - `beneficiary` (any, required)

  - `beneficiary.name` (string, required)
    The beneficiary's full name. >= 1 character and <= 35 characters.
An extended character set is accepted to cater for all European languages.
If SEPA does not support a particular character, it is automatically
converted to an acceptable alternative, in line with SEPA scheme guidance.

  - `beneficiary.iban` (string, required)
    International Bank Account Number, required for wire transfer over SEPA.

  - `beneficiary.bankIdentifierCode` (string)
    BIC (Bank Identifier Code) for wire transfer over SEPA.

  - `beneficiary.address` (string, required)
    The beneficiary's address. Required for correspondent banking transfers.
Maximum 105 characters (split into 3x35-char lines by the provider).

  - `beneficiary.bankName` (string)
    The beneficiary's bank name.

  - `beneficiary.bankAddress` (string)
    The beneficiary's bank address.

  - `beneficiary.bankCountry` (string)
    The beneficiary's bank country in ISO 3166 alpha-2 format.

  - `beneficiary.nationality` (string)
    Nationality of the user - using ISO 3166 alpha-2.

  - `beneficiary.dateOfBirth` (string)
    The date of birth in ISO 8601 format (YYYY-MM-DD).

  - `beneficiary.name` (string, required)
    The beneficiary's full name. >= 1 character and <= 35 characters.
An extended character set is accepted to cater for all European languages.
If RIX does not support a particular character, it is automatically
converted to an acceptable alternative.

  - `beneficiary.iban` (string, required)
    International Bank Account Number, required for wire transfer over RIX.

  - `beneficiary.bankIdentifierCode` (string)
    BIC (Bank Identifier Code) for wire transfer over RIX.

  - `beneficiary.name` (string, required)
    The beneficiary's full name. >= 1 character and <= 35 characters.
Note: the ' symbol is the unicode value U+2019 (right single quotation mark)
and not the unicode value U+0027 (apostrophe).

  - `beneficiary.type` (string, required)
    The type of beneficiary account. Required for Faster Payments.
    Enum: "PERSONAL", "BUSINESS"

  - `beneficiary.accountNumber` (string, required)
    Account number, required for wire transfer over Faster Payments.

  - `beneficiary.sortCode` (string, required)
    Sort code, required for wire transfer over Faster Payments.

  - `beneficiary.secondaryReference` (string)
    Optional secondary reference for accounts without unique sort codes.

  - `purpose` (string, required)
    The purpose of the payment.

  - `description` (string)
    These details are passed to the beneficiary as the `reference`. This field is mandatory for wire transfers executed over `SEPA`. The allowed length is dependent on the payment type:
`SEPA` <= `35` characters. An extended character set is accepted to cater for all European languages. If `SEPA` does not support a particular character, it is automatically converted to an acceptable alternative, in line with `SEPA` scheme guidance.
`Faster Payments` <= `18` characters

  - `externalData` (array)
    Additional external data as key-value pairs.

  - `externalData.name` (string, required)
    Name/key of the external data.

  - `externalData.value` (string, required)
    Value of the external data.

  - `state` (string, required)
    The state of the correspondent bank transfer transaction, as follows:
- INVALID: The transfer has failed initial validation checks.
- PENDING_CHALLENGE: The transfer requires the completion of a transaction confirmation challenge before it can be submitted.
- SUBMITTED: The transfer has been submitted to the sending financial institution for processing.
- REJECTED: The transfer that was submitted was rejected.
- APPROVED: The transfer that was submitted has been approved and is being processed by the sending financial institution.
- FAILED: There was an issue with the transfer, and the transaction has failed.
- COMPLETED: The requested funds have been sent from the source instrument.
- RETURNED: The transfer has been returned to the sender.
- SCHEDULED: The transfer will be executed at the scheduled time.
- CANCELLED: The scheduled transfer has been cancelled.
- PENDING_CONFIRMATION: The transfer requires a manual confirmation by the user before proceeding.
    Enum: "INVALID", "PENDING_CHALLENGE", "SUBMITTED", "REJECTED", "APPROVED", "FAILED", "COMPLETED", "RETURNED", "SCHEDULED", "CANCELLED", "PENDING_CONFIRMATION"

  - `creationTimestamp` (integer, required)
    The time when the transaction was created, expressed in Epoch timestamp using millisecond precision.

  - `scheduledTimestamp` (string)
    The epoch timestamp at which the transaction is scheduled to be executed.

  - `cancellationReason` (string)
    The reason the scheduled transaction was cancelled.

  - `validationOutcomes` (array)

  - `validationOutcomes.category` (string, required)
    Enum: "SEPA_VERIFICATION_OF_PAYEE", "UK_CONFIRMATION_OF_PAYEE"

  - `validationOutcomes.categoryResult` (any, required)

  - `validationOutcomes.categoryResult.match` (string, required)
    The result of the SEPA Verification of Payee check performed by the responding PSP.
    Enum: "MATCH", "NO_MATCH", "CLOSE_MATCH", "NOT_POSSIBLE"

  - `validationOutcomes.categoryResult.accountName` (string)
    The name of the account holder as registered with the responding PSP.
Returned when the match result is CLOSE_MATCH to help the payer verify the payee.

  - `validationOutcomes.categoryResult.match` (string, required)
    The result of matching performed by the UK Confirmation of Payee responder
    Enum: "EXACT_MATCH", "CLOSE_MATCH", "NO_MATCH", "NOT_POSSIBLE"

  - `validationOutcomes.categoryResult.reasonCode` (string)
    The reason why the matching failed at the UK Confirmation of Payee responder:
- ANNM: The CoP responder confirms that the account `name` provided does not match;
- MBAM: The CoP responder indicates that the account `name` provided closely matches the actual account in its records, the actual account name is returned in the `accountName` field;
- BANM: The account `type` that the user specified is 'PERSONAL', but the CoP responder indicates that the actual account matching the `name` provided is actually BUSINESS;
- PANM: The account `type` that the user specified is 'BUSINESS', but the CoP responder indicates that the actual account matching the `name` provided is actually PERSONAL;
- BAMM: The account `type` that the user specified is 'PERSONAL', but the CoP responder indicates that an account closely matching the `name` provided is BUSINESS;
- PAMM: The account `type` that the user specified is 'BUSINESS', but the CoP responder indicates that an account closely matching the `name` provided is PERSONAL;
- AC01: The account does not exist in the CoP responders books, the `accountNumber` specified is likely incorrect;
- IVCR: The CoP responder was unable to locate an account based on the `secondaryReference` field;
- ACNS: The account is not supported for CoP by the CoP responder;
- OPTO: The owner of the account has opted out of CoP service by the CoP responder;
- CASS: The account has been switched using the Current Account Switch Service;
- SCNS: The `sortCode` provided is not supported at endpoint;
    Enum: "ANNM", "MBAM", "BANM", "PANM", "BAMM", "PAMM", "AC01", "IVCR", "ACNS", "OPTO", "CASS", "SCNS"

  - `validationOutcomes.categoryResult.accountName` (string)
    CoP: Returned when the `match` is a `CLOSE_MATCH` and the `reasonCode` is MBAM, BAMM or PAMM
VoP: Returned when the `match` is a `CLOSE_MATCH`

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "INSUFFICIENT_PERMISSIONS"

## Response 409 fields (application/json):

  - `errorCode` (string)
    Enum: "PROFILE_INACTIVE", "MODEL_CONSTRAINTS_VIOLATED", "CURRENCY_MISMATCH", "SOURCE_INSTRUMENT_BLOCKED", "SOURCE_INSTRUMENT_DESTROYED", "AMOUNT_INVALID", "FUNDS_INSUFFICIENT", "SOURCE_NOT_FOUND", "FEE_NOT_CONFIGURED_FOR_CURRENCY", "TYPE_NOT_SUPPORTED_BY_PROFILE", "PROFILE_NOT_FOUND", "SCHEDULED_TIMESTAMP_INVALID", "BENEFICIARY_BANK_DETAILS_INVALID", "ORIGINATOR_DETAILS_INVALID", "PROVIDER_REJECTED"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)

